Package ru.bitel.bgbilling.modules.phone.server.bean

# Class ClientItem

java.lang.Object
ru.bitel.bgbilling.modules.phone.server.bean.ClientItem

All Implemented Interfaces:
  `Serializable`, `ListItem`

public final class ClientItem extends Object implements ListItem, Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `TYPE_POINT`
  `static final int`
  `TYPE_RULE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClientItem()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAlias()`
  `List<String>`
  `getClientNumbers()`
  `List<String>`
  `getClientPorts()`
  `String`
  `getComment()`
  `String`
  `getContractComment()`
  `int`
  `getContractId()`
  `String`
  `getContractTitle()`
  `Calendar`
  `getDate1()`
  `Calendar`
  `getDate2()`
  `int`
  `getId()`
  `int`
  `getObjectId()`
  `List<String>`
  `getOperFromPorts()`
  `String`
  `getOperFromPortsRegexp()`
  `String`
  `getOperFromPrefs()`
  `String`
  `getOperFromRange()`
  `String`
  `getOperFromRangeMapIds()`
  `String`
  `getOperNotFromPrefs()`
  `String`
  `getOperNotFromRange()`
  `String`
  `getOperNotFromRangeMapIds()`
  `String`
  `getOperNotToPrefs()`
  `String`
  `getOperNotToRange()`
  `String`
  `getOperNotToRangeMapIds()`
  `String`
  `getOperService()`
  `int`
  `getOperServiceId()`
  `List<String>`
  `getOperToPorts()`
  `String`
  `getOperToPortsRegexp()`
  `String`
  `getOperToPrefs()`
  `String`
  `getOperToRange()`
  `String`
  `getOperToRangeMapIds()`
  `String`
  `getPeriod()`
  `Integer`
  `getRangeId()`
  `int`
  `getSourceId()`
  `String`
  `getSourceTitle()`
  `String`
  `getTitle()`
  `int`
  `getType()`
  `void`
  `setAlias(String alias)`
  `void`
  `setClientNumbers(List<String> clientNumbers)`
  `void`
  `setClientPorts(List<String> clientPorts)`
  `void`
  `setComment(String comment)`
  `void`
  `setContractComment(String contractComment)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setDate1(Calendar date1)`
  `void`
  `setDate2(Calendar date2)`
  `void`
  `setId(int id)`
  `void`
  `setObjectId(int objectId)`
  `void`
  `setOperFromPorts(List<String> operFromPorts)`
  `void`
  `setOperFromPortsRegexp(String operFromPortsRegexp)`
  `void`
  `setOperFromPrefs(String operFromPrefs)`
  `void`
  `setOperFromRange(String operFromRange)`
  `void`
  `setOperFromRangeMapIds(String operRangeMapIds)`
  `void`
  `setOperNotFromPrefs(String operNotFromPrefs)`
  `void`
  `setOperNotFromRange(String operNotFromRange)`
  `void`
  `setOperNotFromRangeMapIds(String operNotFromRangeMapIds)`
  `void`
  `setOperNotToPrefs(String operNotToPrefs)`
  `void`
  `setOperNotToRange(String operNotToRange)`
  `void`
  `setOperNotToRangeMapIds(String operNotToRangeMapIds)`
  `void`
  `setOperService(String operService)`
  `void`
  `setOperServiceId(int operServiceId)`
  `void`
  `setOperToPorts(List<String> operToPorts)`
  `void`
  `setOperToPortsRegexp(String operToPortsRegexp)`
  `void`
  `setOperToPrefs(String operToPrefs)`
  `void`
  `setOperToRange(String operToRange)`
  `void`
  `setOperToRangeMapIds(String operNotRangeMapIds)`
  `void`
  `setRangeId(Integer rangeId)`
  `void`
  `setSourceId(int sourceId)`
  `void`
  `setSourceTitle(String sourceTitle)`
  `void`
  `setType(int type)`
  `String`
  `toString()`
  `static String`
  `toString(int itemId, PreparedStatement getSimpleItemPS, PreparedStatement numberPS, PreparedStatement portPS)`
  `String`
  `toStringWithoutSource()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TYPE_POINT

    public static final int TYPE_POINT
    See Also:
      - Constant Field Values

  - ### TYPE_RULE

    public static final int TYPE_RULE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ClientItem

    public ClientItem()

- ## Method Details

  - ### getRangeId

    public Integer getRangeId()

  - ### setRangeId

    public void setRangeId(Integer rangeId)

  - ### getAlias

    public String getAlias()

  - ### setAlias

    public void setAlias(String alias)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getOperService

    public String getOperService()

  - ### setOperService

    public void setOperService(String operService)

  - ### getClientNumbers

    public List<String> getClientNumbers()

  - ### setClientNumbers

    public void setClientNumbers(List<String> clientNumbers)

  - ### getClientPorts

    public List<String> getClientPorts()

  - ### setClientPorts

    public void setClientPorts(List<String> clientPorts)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getDate1

    public Calendar getDate1()

  - ### setDate1

    public void setDate1(Calendar date1)

  - ### getDate2

    public Calendar getDate2()

  - ### setDate2

    public void setDate2(Calendar date2)

  - ### getId

    public int getId()
    Specified by:
      `getId` in interface `ListItem`

  - ### setId

    public void setId(int id)

  - ### getOperFromPorts

    public List<String> getOperFromPorts()

  - ### setOperFromPorts

    public void setOperFromPorts(List<String> operFromPorts)

  - ### getOperFromPrefs

    public String getOperFromPrefs()

  - ### setOperFromPrefs

    public void setOperFromPrefs(String operFromPrefs)

  - ### getOperServiceId

    public int getOperServiceId()

  - ### setOperServiceId

    public void setOperServiceId(int operServiceId)

  - ### getOperToPorts

    public List<String> getOperToPorts()

  - ### setOperToPorts

    public void setOperToPorts(List<String> operToPorts)

  - ### getOperToPrefs

    public String getOperToPrefs()

  - ### setOperToPrefs

    public void setOperToPrefs(String operToPrefs)

  - ### getSourceId

    public int getSourceId()

  - ### setSourceId

    public void setSourceId(int sourceId)

  - ### getType

    public int getType()

  - ### setType

    public void setType(int type)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toStringWithoutSource

    public String toStringWithoutSource()

  - ### getPeriod

    public String getPeriod()

  - ### getTitle

    public String getTitle()
    Specified by:
      `getTitle` in interface `ListItem`

  - ### toString

    public static String toString(int itemId, PreparedStatement getSimpleItemPS, PreparedStatement numberPS, PreparedStatement portPS) throws SQLException
    Throws:
      `SQLException`

  - ### getSourceTitle

    public String getSourceTitle()

  - ### setSourceTitle

    public void setSourceTitle(String sourceTitle)

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### getContractComment

    public String getContractComment()

  - ### setContractComment

    public void setContractComment(String contractComment)

  - ### getObjectId

    public int getObjectId()

  - ### setObjectId

    public void setObjectId(int objectId)

  - ### getOperNotFromPrefs

    public String getOperNotFromPrefs()

  - ### setOperNotFromPrefs

    public void setOperNotFromPrefs(String operNotFromPrefs)

  - ### getOperNotToPrefs

    public String getOperNotToPrefs()

  - ### setOperNotToPrefs

    public void setOperNotToPrefs(String operNotToPrefs)

  - ### getOperFromRange

    public String getOperFromRange()

  - ### setOperFromRange

    public void setOperFromRange(String operFromRange)

  - ### getOperToRange

    public String getOperToRange()

  - ### setOperToRange

    public void setOperToRange(String operToRange)

  - ### getOperNotFromRange

    public String getOperNotFromRange()

  - ### setOperNotFromRange

    public void setOperNotFromRange(String operNotFromRange)

  - ### getOperNotToRange

    public String getOperNotToRange()

  - ### setOperNotToRange

    public void setOperNotToRange(String operNotToRange)

  - ### getOperFromPortsRegexp

    public String getOperFromPortsRegexp()

  - ### setOperFromPortsRegexp

    public void setOperFromPortsRegexp(String operFromPortsRegexp)

  - ### getOperToPortsRegexp

    public String getOperToPortsRegexp()

  - ### setOperToPortsRegexp

    public void setOperToPortsRegexp(String operToPortsRegexp)

  - ### getOperFromRangeMapIds

    public String getOperFromRangeMapIds()

  - ### setOperFromRangeMapIds

    public void setOperFromRangeMapIds(String operRangeMapIds)

  - ### getOperToRangeMapIds

    public String getOperToRangeMapIds()

  - ### setOperToRangeMapIds

    public void setOperToRangeMapIds(String operNotRangeMapIds)

  - ### getOperNotFromRangeMapIds

    public String getOperNotFromRangeMapIds()

  - ### setOperNotFromRangeMapIds

    public void setOperNotFromRangeMapIds(String operNotFromRangeMapIds)

  - ### getOperNotToRangeMapIds

    public String getOperNotToRangeMapIds()

  - ### setOperNotToRangeMapIds

    public void setOperNotToRangeMapIds(String operNotToRangeMapIds)